libzypp: zypp::debug Namespace Reference

libzypp 17.36.6

Classes | Functions | Variables
zypp::debug Namespace Reference

## Classes
class | Measure
| Tool to measure elapsed real and process times. More...
struct | Osd
struct | Tm
| Times measured by Measure. More...
struct | TraceCAD
| A simple tracer for (copy) Construction, Assignment, and Destruction. More...
struct | TraceCADBase
| Base for a simple tracer. More...
struct | TraceLeave

## Functions
std::ostream & | dumpMemOn (std::ostream &str, const std::string &msg=std::string())
| 'ps v'
template<class Tp>
void | traceCAD (TraceCADBase::What what_r, const TraceCAD< Tp > &self_r, const TraceCAD< Tp > &rhs_r)
| Drop a log line about the traced method.
std::ostream & | operator<< (std::ostream &str, const Tm &obj)
| \refers Tm Stream output.
std::string | tracestr (char tag_r, unsigned depth_r, const std::string &msg_r, const char *file_r, const char *fnc_r, int line_r)
std::ostream & | operator<< (std::ostream &str, TraceCADBase::What obj)
| Stream output of TraceCADBase::What.
template<class Tp>
std::ostream & | operator<< (std::ostream &str, const TraceCAD< Tp > &obj)
| Stream output.

## Variables
static constexpr std::string_view | OO { "\033[0m" }
static constexpr std::string_view | WH { "\033[37;40m" }
static constexpr std::string_view | CY { "\033[36;40m" }
static constexpr std::string_view | YE { "\033[33;1;40m" }
static constexpr std::string_view | GR { "\033[32;40m" }
static constexpr std::string_view | RE { "\033[31;1;40m" }
static constexpr std::string_view | MA { "\033[35;40m" }

## Function Documentation

## ◆ dumpMemOn()

std::ostream & zypp::debug::dumpMemOn | ( | std::ostream & | str,
|  | const std::string & | msg = std::string() )
| inline

'ps v'

Definition at line 39 of file Debug.h.

## ◆ traceCAD()

template<class Tp>

void zypp::debug::traceCAD | ( | TraceCADBase::What | what_r,
|  | const TraceCAD< Tp > & | self_r,
|  | const TraceCAD< Tp > & | rhs_r )

Drop a log line about the traced method.

Overload to fit your needs.

Definition at line 155 of file Debug.h.

## ◆ operator<<() [1/3]

std::ostream & zypp::debug::operator<< | ( | std::ostream & | str,
|  | const Tm & | obj )

\refers Tm Stream output.

Definition at line 128 of file Measure.cc.

## ◆ tracestr()

std::string zypp::debug::tracestr | ( | char | tag_r,
|  | unsigned | depth_r,
|  | const std::string & | msg_r,
|  | const char * | file_r,
|  | const char * | fnc_r,
|  | int | line_r )

Definition at line 318 of file LogControl.cc.

## Variable Documentation

## ◆ OO

std::string_view zypp::debug::OO { "\033[0m" }
| staticconstexpr

Definition at line 308 of file LogControl.cc.

## ◆ WH

std::string_view zypp::debug::WH { "\033[37;40m" }
| staticconstexpr

Definition at line 309 of file LogControl.cc.

## ◆ CY

std::string_view zypp::debug::CY { "\033[36;40m" }
| staticconstexpr

Definition at line 310 of file LogControl.cc.

## ◆ YE

std::string_view zypp::debug::YE { "\033[33;1;40m" }
| staticconstexpr

Definition at line 311 of file LogControl.cc.

## ◆ GR

std::string_view zypp::debug::GR { "\033[32;40m" }
| staticconstexpr

Definition at line 312 of file LogControl.cc.

## ◆ RE

std::string_view zypp::debug::RE { "\033[31;1;40m" }
| staticconstexpr

Definition at line 313 of file LogControl.cc.

## ◆ MA

std::string_view zypp::debug::MA { "\033[35;40m" }
| staticconstexpr

Definition at line 314 of file LogControl.cc.